Bug 73947 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: kdeartwork (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 11:30 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-07 17:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 11:30:37 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/share/backgrounds/wallpapers /usr/share/backgrounds/wallpapers/Ancient_Glyphs.jpg
| file /usr/share/backgrounds/wallpapers is not owned by any package
| kdeartwork-3.0.3-1

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. umask 077
2. make sure that kdeartwork is uninstalled completely
   (rm -rf /usr/share/backgrounds/wallpapers)
3. rpm -U kdeartwork-3.0.3-1.i386.rpm
4. ls -l /usr/share/backgrounds/wallpapers
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e kdeartwork-3.0.3-1

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 16:49 /usr/share/backgrounds/wallpapers
* files can not be found/read at 5 and
* /usr/share/backgrounds/wallpapers still exists after 6.
Comment 1 Ngo Than 2004-04-07 17:29:19 EDT
it's fixed in 3.2.1-2 or newer.

Note You need to log in before you can comment on or make changes to this bug.